Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.shared_orchestra.taglib.html
Class HtmlSelectMenuTagBase

    java.lang.Object
      javax.faces.webapp.UIComponentTag
          org.apache.myfaces.shared_orchestra.taglib.UIComponentTagBase
              org.apache.myfaces.shared_orchestra.taglib.html.HtmlComponentTagBase
                  org.apache.myfaces.shared_orchestra.taglib.html.HtmlInputTagBase
                      org.apache.myfaces.shared_orchestra.taglib.html.HtmlSelectMenuTagBase

All Implemented Interfaces:
  javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

    public abstract class HtmlSelectMenuTagBase

extends HtmlInputTagBase

Common base tag class for HtmlSelectOneMenu and HtmlSelectManyMenu components.

Version:
  $Revision: 495108 $ $Date: 2007-01-10 23:15:27 -0500 (Wed, 10 Jan 2007) $
Author:
  Manfred Geiler (latest modification by $Author: paulsp $), Martin Marinschek

Field Summary

Fields inherited from class javax.faces.webapp.UIComponentTag
`pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`HtmlSelectMenuTagBase()`

Method Summary
`void` | `release()`
`void` | `setAccesskey(String accesskey)`
`void` | `setBorder(String border)`
`void` | `setDatafld(String datafld)`
`void` | `setDataformatas(String dataformatas)`
`void` | `setDatasrc(String datasrc)`
`void` | `setDisabled(String disabled)`
`void` | `setDisabledClass(String disabledClass)`
`void` | `setEnabledClass(String enabledClass)`
`void` | `setName(String name)`
`void` | `setOnblur(String onblur)`
`void` | `setOnchange(String onchange)`
`void` | `setOnfocus(String onfocus)`
`void` | `setOnselect(String onselect)`
`protected void` | `setProperties(javax.faces.component.UIComponent component)`
`void` | `setTabindex(String tabindex)`

Methods inherited from class org.apache.myfaces.shared_orchestra.taglib.html.HtmlInputTagBase
`setImmediate, setReadonly, setRequired, setValidator, setValueChangeListener`

Methods inherited from class org.apache.myfaces.shared_orchestra.taglib.html.HtmlComponentTagBase
`setDir, setLang, setOnclick, setOndblclick, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setStyle, setStyleClass, setTitle`

Methods inherited from class org.apache.myfaces.shared_orchestra.taglib.UIComponentTagBase
`setActionListenerProperty, setActionProperty, setBooleanProperty, setConverter, setForceId, setForceIdIndex, setImageLocation, setIntegerProperty, setJavascriptLocation, setLongProperty, setStringProperty, setStyleLocation, setValidatorProperty, setValue, setValueBinding, setValueChangedListenerProperty`

Methods inherited from class javax.faces.webapp.UIComponentTag
`doEndTag, doStartTag, encodeBegin, encodeChildren, encodeEnd, findComponent, getComponentInstance, getComponentType, getCreated, getDoEndValue, getDoStartValue, getFacesContext, getFacetName, getId, getParent, getParentUIComponentTag, getRendererType, isSuppressed, isValueReference, setBinding, setId, setPageContext, setParent, setRendered, setupResponseWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HtmlSelectMenuTagBase

    public HtmlSelectMenuTagBase()

Method Detail

### release

    public void release()

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `HtmlInputTagBase`

### setProperties

    protected void setProperties(javax.faces.component.UIComponent component)

  Overrides:
    `setProperties` in class `HtmlInputTagBase`

### setAccesskey

    public void setAccesskey(String accesskey)

### setBorder

    public void setBorder(String border)

### setDatafld

    public void setDatafld(String datafld)

### setDatasrc

    public void setDatasrc(String datasrc)

### setDataformatas

    public void setDataformatas(String dataformatas)

### setDisabled

    public void setDisabled(String disabled)

### setName

    public void setName(String name)

### setOnblur

    public void setOnblur(String onblur)

### setOnchange

    public void setOnchange(String onchange)

### setOnfocus

    public void setOnfocus(String onfocus)

### setOnselect

    public void setOnselect(String onselect)

### setTabindex

    public void setTabindex(String tabindex)

### setDisabledClass

    public void setDisabledClass(String disabledClass)

### setEnabledClass

    public void setEnabledClass(String enabledClass)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 The Apache Software Foundation. All Rights Reserved.